Bug 443465 - Recent File context menu will make plasmashell freeze when it contains files on a network mount (slow)
Summary: Recent File context menu will make plasmashell freeze when it contains files ...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: master
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: efficiency
Depends on:
Blocks:
 
Reported: 2021-10-08 08:09 UTC by Fushan Wen
Modified: 2022-08-05 18:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2021-10-08 08:09:00 UTC
SUMMARY
When "Recent Files" action list contains files on a network mount, plasmashell will become freeze when opening ContextMenu.

STEPS TO REPRODUCE
1. Use Kate to open any file on a network mount (preferably a slow network mount)
2. Close Kate
3. Open Kate again if Kate is not pinned to Task Manager
4. Right click on Kate icon to open "Recent Files" action list.

OBSERVED RESULT
Plasmashell freezes for the first time the context menu is open.

EXPECTED RESULT
Plasmashell does not freeze.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20211005
KDE Plasma Version: 5.23.80
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.6-2-default (64-bit)
Graphics Platform: X11
Processors: 8 × AMD Ryzen 7 4700U with Radeon Graphics
Memory: 15.0 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 1 Bug Janitor Service 2021-10-08 08:09:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/595
Comment 2 Fushan Wen 2021-10-08 08:38:38 UTC
What's worse, if I disconnect from the network, plasmashell will likely hang forever until "Filesystem mounted at '...' is not responding" error message pops up.
Comment 3 Bug Janitor Service 2021-10-16 08:42:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/603
Comment 4 Méven Car 2021-10-18 16:36:16 UTC
Git commit a4c711a411f47e11c5327efa0dd40c12b26875e5 by Méven Car, on behalf of Fushan Wen.
Committed on 18/10/2021 at 16:34.
Pushed by meven into branch 'master'.

taskmanager: Use SkipMimeTypeFromContent flag when creating KFileItem

This prevents plasmashell from freezing at opening the context menu
when there is no network and there are files on a network mount in
"Recent Files" section.
Related: bug 406110, bug 441077

M  +2    -6    applets/taskmanager/plugin/backend.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/a4c711a411f47e11c5327efa0dd40c12b26875e5